from rest_framework.decorators import api_view
from rest_framework.response import Response
from rest_framework import status
from warpapi.models import Information

@api_view(['GET'])
def main(request):
    ret= {}
    information = Information.objects.all()
    for info in information:
        if info.category:
            if info.category not in ret:
                ret[info.category]={}
            if info.value:
                try:
                    ret[info.category][info.key] = float(info.value)
                except:
                    ret[info.category][info.key] = info.value
            else:
                ret[info.category] = {info.key}
        else:
            ret[info.key] = info.value
    
    ret["open"] = False
    
    ret["state"] = {"open": False, "icon": { "open": str(ret["icon"]["open"]), "closed": str(ret["icon"]["closed"])}}
   
    return Response(ret)

